Bug 140371 - usb stick connected at boot causes crash, 2.6.9-1.{681,678}_FC3smp
Summary: usb stick connected at boot causes crash, 2.6.9-1.{681,678}_FC3smp
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 3
Hardware: i686 Linux
medium
high
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-22 17:13 UTC by Jason W. Mitchell
Modified: 2015-01-04 22:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-03 00:55:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/proc/cpuinfo (924 bytes, text/plain)
2004-11-22 17:16 UTC, Jason W. Mitchell
no flags Details
kernel oops: 'kernel BUG at mm/slab.c:1453!' (5.70 KB, text/plain)
2004-11-22 17:17 UTC, Jason W. Mitchell
no flags Details
/var/log/messages from boot to precrash 2.6.9-1.681_FC3smp (37.05 KB, text/plain)
2004-11-22 17:18 UTC, Jason W. Mitchell
no flags Details
/var/log/messages from boot to precrash 2.6.9-1.678_FC3smp (35.29 KB, text/plain)
2004-11-22 17:18 UTC, Jason W. Mitchell
no flags Details
expected usb device behaviour, after normal (no usb connected) boot (1.24 KB, text/plain)
2004-11-22 17:19 UTC, Jason W. Mitchell
no flags Details

Description Jason W. Mitchell 2004-11-22 17:13:52 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
When a USB stick/disk (non-bootable) is connected to the system prior
to boot, the system will crash shortly after bootup with an oops
complaining: 'kernel BUG at mm/slab.c:1453!'

While this report is specific to 2.6.9-1.{681,678}_FC3smp, I have had
trouble with FC2 x86_64 2.6.5-1.358, 2.6.8-1.521, 2.6.9-1{3,6} and RH9
(Shrike) 2.4.20-31.9smp.  In these cases, the system will simply
refuse to boot, specifically the systems will POST, finish additional
device BIOS loads, then black screen...no OS info.  To resolve the
problem, simply remove the USB device and reboot normally, then
reattach for normal use.

USB sticks/disks tested:
  0. Sandisk Cruzer-mini 128MB
  1. iOmega Mini-drive 128MB
  2. Maxtor OneTouch 300GB (3 separate drives)

Version-Release number of selected component (if applicable):
2.6.9-1.{681,678}_FC3smp 

How reproducible:
Always

Steps to Reproduce:
1. power off system
2. attach USB stick/drive
3. attempt to boot machine
    

Actual Results:  kernel: slab error in kmem_cache_destroy(): cache
`scsi_cmd _cache': Can't free all objects
kernel:  [<02140807>] kmem_cache_destroy+0x99/0x132
...
kernel: kernel BUG at mm/slab.c:1453!

Expected Results:  normal boot, followed by normal USB mass storage
registration, i.e.:
 USB Mass Storage support registered.
 scsi.agent[4809]: disk at /devices/pci0000:00/0000:00:1d.
7/usb1/1-8/1-8:1.0/host2/2:0:0:0
fstab-sync[4859]: added mount point /media/usbdisk for /dev/sda1


Additional info:

I have not checked this against Enterprise Linux 3u2.x or 3u3.x, but
hopefully, I will get around to it.

Comment 1 Jason W. Mitchell 2004-11-22 17:16:20 UTC
Created attachment 107193 [details]
/proc/cpuinfo

Comment 2 Jason W. Mitchell 2004-11-22 17:17:22 UTC
Created attachment 107194 [details]
kernel oops: 'kernel BUG at mm/slab.c:1453!'

Comment 3 Jason W. Mitchell 2004-11-22 17:18:10 UTC
Created attachment 107195 [details]
/var/log/messages from boot to precrash 2.6.9-1.681_FC3smp

Comment 4 Jason W. Mitchell 2004-11-22 17:18:44 UTC
Created attachment 107196 [details]
/var/log/messages from boot to precrash 2.6.9-1.678_FC3smp

Comment 5 Jason W. Mitchell 2004-11-22 17:19:27 UTC
Created attachment 107197 [details]
expected usb device behaviour, after normal (no usb connected) boot

Comment 6 Alex Hornby 2005-01-01 11:27:57 UTC
I'm seeing booting hang if my usb card reader is attached. It works
fine if plugged in after booting.

The device description in /proc/bus/usb/devices is below:

T:  Bus=01 Lev=01 Prnt=01 Port=00 Cnt=01 Dev#=  4 Spd=480 MxCh= 0
D:  Ver= 2.00 Cls=00(>ifc ) Sub=00 Prot=00 MxPS=64 #Cfgs=  1
P:  Vendor=07cc ProdID=0500 Rev=91.38
S:  Manufacturer=USB2.0
S:  Product=CardReader
S:  SerialNumber=1234600
C:* #Ifs= 1 Cfg#= 1 Atr=80 MxPwr=500mA
I:  If#= 0 Alt= 0 #EPs= 2 Cls=08(stor.) Sub=06 Prot=50 Driver=usb-storage
E:  Ad=81(I) Atr=02(Bulk) MxPS= 512 Ivl=0ms
E:  Ad=02(O) Atr=02(Bulk) MxPS= 512 Ivl=0ms


Comment 7 Dave Jones 2005-07-15 18:33:56 UTC
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.

Comment 8 Dave Jones 2005-10-03 00:55:42 UTC
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.


Note You need to log in before you can comment on or make changes to this bug.